| usbpsu Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XUsbPsu_Event_Epevt Struct Reference
USBPSU APIs

struct XUsbPsu_event_depvt - Device Endpoint Events More...

## Data Fields
u32 | Is_EpEvt: 1
| indicates this is an endpoint event More...
u32 | Epnumber: 5
| number of the endpoint More...
u32 | Endpoint_Event: 4
| endpoint event More...
u32 | Reserved11_10: 2
| Reserved, not used. More...
u32 | Status: 4
| Indicates the status of the event. More...
u32 | Parameters: 16
| Parameters of the current event. More...

## Detailed Description

struct XUsbPsu_event_depvt - Device Endpoint Events

Parameters

  Is_EpEvt,: | indicates this is an endpoint event
  endpoint_number,: | number of the endpoint
  endpoint_event,: | The event we have: 0x00 - Reserved 0x01 - XferComplete 0x02 - XferInProgress 0x03 - XferNotReady 0x04 - RxTxFifoEvt (IN->Underrun, OUT->Overrun) 0x05 - Reserved 0x06 - StreamEvt 0x07 - EPCmdCmplt
  Reserved11_10,: | Reserved, don't use.
  Status,: | Indicates the status of the event. Refer to databook for more information.
  Parameters,: | Parameters of the current event. Refer to databook for more information.

## Field Documentation

u32 XUsbPsu_Event_Epevt::Endpoint_Event

endpoint event

Referenced by XUsbPsu_Ep0Intr(), XUsbPsu_EpEvent(), and XUsbPsu_EpXferComplete().

u32 XUsbPsu_Event_Epevt::Epnumber

number of the endpoint

Referenced by XUsbPsu_Ep0DataDone(), XUsbPsu_Ep0StartStatus(), XUsbPsu_Ep0XferComplete(), XUsbPsu_Ep0XferNotReady(), XUsbPsu_EpEvent(), XUsbPsu_EpXferComplete(), and XUsbPsu_EpXferNotReady().

u32 XUsbPsu_Event_Epevt::Is_EpEvt

indicates this is an endpoint event

u32 XUsbPsu_Event_Epevt::Parameters

Parameters of the current event.

Referenced by XUsbPsu_EpXferNotReady().

u32 XUsbPsu_Event_Epevt::Reserved11_10

Reserved, not used.

u32 XUsbPsu_Event_Epevt::Status

Indicates the status of the event.

Referenced by XUsbPsu_Ep0XferNotReady().